Bug 199272 - Gizmo can not open a file in full remote
Gizmo can not open a file in full remote
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Profile
7.0
All All
: P2 (vote)
: 7.0.1
Assigned To: Maria Tishkova
issues@cnd
701patch2-verified, oss30
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-08 14:00 UTC by Vladimir Kvashin
Modified: 2011-10-11 11:25 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-06-08 14:00:18 UTC
I opened a full remote ProfilingDemo project, build it and ran. Indecators looked pretty reasonable. When CPU usage became high I pressed "Hot Spots" button. The hot spot that was shown seems to be correct. But when I double-clicked on "work_run_usrcpu" line, it could not open the file. Dialog "Cannot open ..." appeared instead.
Comment 1 Alexander Simon 2011-08-26 11:40:40 UTC
P2 because navigation from profile results and file annotations do not work for full remote projects.
Comment 2 Leonid Lenyashin 2011-09-06 08:50:19 UTC
If gizmo is to be removed from 7.1 then this bug will be irrelevant for 7.1 and should be marked as NO71. Still has to be fixed in 7.0.1 patch.
Comment 3 Maria Tishkova 2011-09-13 11:20:59 UTC
pushed in releases_elif 204815:5cdbfc8a4020
Comment 4 Alexander Pepin 2011-09-16 14:26:35 UTC
verified in OSS build 30
Comment 5 Quality Engineering 2011-09-26 13:32:17 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/5cdbfc8a4020
User: Maria Tishkova <mromashova@netbeans.org>
Log: fixed BZ#199272 Gizmo can not open a file in full remote
Comment 6 Alexander Pepin 2011-09-27 11:53:16 UTC
verified in OSS dev build based on 7.0.1 patch2
Comment 7 Andrew Krasny 2011-09-30 17:00:05 UTC
CodeModel sourcefile info provider doesn't need path conversion magic... 
FileObject to URL is the only correct way of getting this information.

In dwarf-based provider only FullRemote case should be converted to URL (with rfs: scheme)... And simple remote should go through PathMapper (NO file scheme!).

Note: Dwarf-based still works incorrect in case of 'out-of-project' files in case of 'simple' remote. As PathMapper will do conversion. Correct approach is to use fair remote FileObject instead [will not fix for now].

Add fix:
http://hg.netbeans.org/releases/rev/1b5ef1a850f6
Comment 8 Vladimir Voskresensky 2011-10-02 18:07:12 UTC
QA, please, verify fix again
Comment 9 Vladimir Voskresensky 2011-10-03 09:55:10 UTC
I have reviewed the fix we did with Andrew and it is safer and more correct than previous one.
Comment 10 dnikitin 2011-10-03 15:10:38 UTC
verified in sputnik-solstudio-main3361 (navigation works ok)
Comment 11 Quality Engineering 2011-10-07 17:36:37 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/1b5ef1a850f6
User: Andrew Krasny <akrasny@netbeans.org>
Log: Correct fix for Bug #199272 - Gizmo can not open a file in full remote
Comment 12 soldatov 2011-10-11 11:25:47 UTC
Verified in Oracle Solaris Studio 12.3 (2011/10/10)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo